local M = {}

local fallingVehicle = require("scripts/FallingVehicle")

-- Register keybinding function
local function toggleFallingVehicle()
  fallingVehicle.toggleFallingVehicle()
end

-- Register extension
M.toggleFallingVehicle = toggleFallingVehicle

-- Required callback for BeamNG extension system
M.onExtensionLoaded = function()
  log("I", "FallingVehicle", "Falling Vehicle extension loaded!")
end

return M
