local M = {}

local function toggleFallingVehicle()
    local playerVehID = be:getPlayerVehicleID(0)
    local playerVeh = scenetree.findObjectById(playerVehID)
    if not playerVeh then return end

    local pos = playerVeh:getPosition()
    local spawnHeight = 100  -- You can adjust this height
    local spawnPos = vec3(pos.x, pos.y, pos.z + spawnHeight)

    core_vehicles.spawnNewVehicle("pickup", {config = 'vehicles/pickup/cool.pc'})
	core_vehicles.spawnNewVehicle("sunburst2", {config = 'vehicles/sunburst2/cool.pc'})
end

M.onExtensionLoaded = function()
    log("I", "FallingVehicle", "Falling Vehicle extension loaded!")
end

M.toggleFallingVehicle = toggleFallingVehicle

return M

